/* ------------------------------ CART ---------------------------------*/

.cart {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: gray;
    margin-bottom: 40px;;
    margin-top: 40px;
    margin-left: 3vw;
    margin-right: 3vw;
}

.cart .image {
    width: 4.5rem;
    height: 4.5rem;
}

.cart .image img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

#cart-heading h1{
    text-align:center; 
    font-size: 1.1rem; 
    font-weight: 500;
}

.cart .size {
    font-size: 1rem;
}

.cart .qty select {
    /* width: 30vw; */
    background: white;
    border: none;
    /* height: 1vh; */
    /* margin-left: 8vw; */
    /* font-size: 1rem; */

}

.total {
    display: flex;
    justify-content: flex-end;
    padding: 1rem;
    align-items: center;
    margin-right: 10vw;;
}

.total span{
    font-weight: 500;
    font-size: 0.8rem;
}

.total .button {
    margin-left: 5vw;

}

.shopping-details {
    display: flex;
    flex: 2;
    justify-content: space-evenly;
    justify-self: flex-end;
    /* flex-wrap: wrap; */
    /* padding-left: 5vw; */
}

.shopping-details div{
    /* margin-right: 1rem; */
}



.image-name {
    display: flex;
    align-items: center;
}

.image-name span {
    color: black;
    font-size: 14px;

}

@media screen and (max-width: 768px) {
    .total {
        display: block;
        padding: 0;
    }

    .total span {
        position: absolute;
        right: 4.5vw;
    }

    .cart {
        flex-direction: column;
    }

    .cart .image-name {
        align-self: start;

    }

    .cart .shopping-details {
        align-self: flex-end;
        width: 20rem;
    }

    #checkout-button {
        position: fixed;

        font-family: Arial, Helvetica, sans-serif;
        background-color: #172c50;
        border: 0px solid white;
        color: white;
        width: 92vw;
        /* height: 10vh; */
        text-align: center;
        font-size: 1rem;
        padding: 4vw;
        margin: 0;
        bottom: 0;
    }

}